package com.qmth.sop.business.bean.result;

import io.swagger.annotations.ApiModelProperty;


public class CrmProgressBaseResult {

    @ApiModelProperty(value = "总数")
    private Integer total;

    @ApiModelProperty(value = "准备阶段sop数量")
    private Integer prepareSopNum;

    @ApiModelProperty(value = "准备阶段sop数量占比")
    private String prepareSopRatio;

    @ApiModelProperty(value = "扫描阶段sop数量")
    private Integer scanSopNum;

    @ApiModelProperty(value = "扫描阶段sop数量占比")
    private String scanSopRatio;

    @ApiModelProperty(value = "评卷阶段sop数量")
    private Integer markSopNum;

    @ApiModelProperty(value = "评卷阶段sop数量占比")
    private String markSopRatio;

    @ApiModelProperty(value = "收尾阶段sop数量")
    private Integer finalSopNum;

    @ApiModelProperty(value = "收尾阶段sop数量占比")
    private String finalSopRatio;

    @ApiModelProperty(value = "已完成sop数量")
    private Integer finishSopNum;

    @ApiModelProperty(value = "已完成sop数量占比")
    private String finishSopRatio;

    public Integer getPrepareSopNum() {
        return prepareSopNum;
    }

    public void setPrepareSopNum(Integer prepareSopNum) {
        this.prepareSopNum = prepareSopNum;
    }

    public String getPrepareSopRatio() {
        return prepareSopRatio;
    }

    public void setPrepareSopRatio(String prepareSopRatio) {
        this.prepareSopRatio = prepareSopRatio;
    }

    public Integer getScanSopNum() {
        return scanSopNum;
    }

    public void setScanSopNum(Integer scanSopNum) {
        this.scanSopNum = scanSopNum;
    }

    public String getScanSopRatio() {
        return scanSopRatio;
    }

    public void setScanSopRatio(String scanSopRatio) {
        this.scanSopRatio = scanSopRatio;
    }

    public Integer getMarkSopNum() {
        return markSopNum;
    }

    public void setMarkSopNum(Integer markSopNum) {
        this.markSopNum = markSopNum;
    }

    public String getMarkSopRatio() {
        return markSopRatio;
    }

    public void setMarkSopRatio(String markSopRatio) {
        this.markSopRatio = markSopRatio;
    }

    public Integer getFinalSopNum() {
        return finalSopNum;
    }

    public void setFinalSopNum(Integer finalSopNum) {
        this.finalSopNum = finalSopNum;
    }

    public String getFinalSopRatio() {
        return finalSopRatio;
    }

    public void setFinalSopRatio(String finalSopRatio) {
        this.finalSopRatio = finalSopRatio;
    }

    public Integer getFinishSopNum() {
        return finishSopNum;
    }

    public void setFinishSopNum(Integer finishSopNum) {
        this.finishSopNum = finishSopNum;
    }

    public String getFinishSopRatio() {
        return finishSopRatio;
    }

    public void setFinishSopRatio(String finishSopRatio) {
        this.finishSopRatio = finishSopRatio;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }
}
